import { IHighlightColor, IResult, ITask, ITaskState } from "./types";
export declare type HighlightTextProps = {
    text: string;
    highlights: ITaskState["highlights"];
    selection: ITaskState["selection"];
    onSelect: (from: number, to: number) => void;
    colors: ITask["view"]["colors"];
    onHighlight: (color: IHighlightColor) => () => void;
    feedback?: IResult["highlightsFeedback"];
    onErase: () => void;
    onReset: () => void;
};
export declare const HighlightText: ({ text, highlights, feedback, colors, onHighlight, selection, onSelect, onErase, onReset, }: HighlightTextProps) => JSX.Element;
