import { IAction, IAnswer, IAnswerAction, ITaskState, IHighlightColor, IEraseAction, IHighlightAction, IResetAction, ISelectAction, IInitTextAction } from "./types";
export declare const initialState: ITaskState;
export declare const eraseAction: () => IEraseAction;
export declare const highlightAction: (color: IHighlightColor) => IHighlightAction;
export declare const resetAction: () => IResetAction;
export declare const selectAction: (from: number, to: number) => ISelectAction;
export declare const initTextAction: (text: string) => IInitTextAction;
export declare const answerAction: ({ answer, }: {
    answer: IAnswer;
}) => IAnswerAction;
export declare const reducer: (base: {
    readonly highlights: readonly (IHighlightColor | null)[];
    readonly selection?: {
        readonly from: number;
        readonly to: number;
    } | undefined;
    readonly currentColor?: IHighlightColor | undefined;
}, action: IAction) => import("immer/dist/internal").WritableDraft<ITaskState>;
